# tbb::flow::interface6::continue_node< Output > Class Template Reference

Implements an executable node that supports continue_msg -> Output. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::continue_node< Output >:

List of all members.

## Public Types
typedef continue_msg | input_type
typedef Output | output_type
typedef sender< input_type > | predecessor_type
typedef receiver< output_type > | successor_type
typedef internal::continue_input < Output > | fInput_type
typedef internal::function_output < output_type > | fOutput_type
## Public Member Functions
template<typename Body >
| continue_node (graph &g, Body body)
| Constructor for executable node with continue_msg -> Output.
template<typename Body >
| continue_node (graph &g, int number_of_predecessors, Body body)
| Constructor for executable node with continue_msg -> Output.
| continue_node (const continue_node &src)
| Copy constructor.
## Protected Member Functions
void | reset ()
internal::broadcast_cache < output_type > & | successors ()
## Friends
class | run_and_put_task
class | internal::broadcast_cache
class | internal::round_robin_cache

## Detailed Description

### template<typename Output>
class tbb::flow::interface6::continue_node< Output >

Implements an executable node that supports continue_msg -> Output.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.